%define name libmdf
%define version 1.0.20
%define release 1

Name: %{name}
Version: %{version}
Release: %{release}
Provides: libmdf
Obsoletes: libmdf <= %{version}
Source: ftp://millistream.com/sources/%{name}-%{version}.tar.gz
License: LGPL
Group: System/Libraries
URL: http://millistream.com
Vendor: Millistream Market Data AB
Prefix: ${_prefix}
Summary: Millistream Data Feed API library

%description
%{name} is the Millistream Data Feed API library with which developers 
can connect to the Millistream Market Data system and subscribe to 
streaming realtime or delayed market data such as stocks, indices,
currencies, bonds, derivatives and news services.

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}
Provides: libmdf-devel
Obsoletes: libmdf-devel <= %{version}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}.

%prep
%setup -q

%build
%configure --libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libmdf.so*

%files devel
%defattr(-,root,root)
%{_libdir}/libmdf.*
%{_includedir}/mdf/*
%{_libdir}/pkgconfig/libmdf.pc

%changelog
* Thu Apr 28 2011 Henrik Holst <henrik.holst@millistream.com>
- Changed package name from mdf to libmdf

* Tue Mar 09 2010 Henrik Holst <henrik.holst@millistream.com>
- Support for lib64 systems

* Tue Mar 24 2009 Henrik Holst <henrik.holst@millistream.com>
- Install pkg-config files
- Changed the descriptions a bit

* Mon Jan 19 2009 Henrik Holst <henrik.holst@millistream.com>
- First draft of the spec file

