/*
    Copyright (C) 2008-2017, Millistream Market Data <support@millistream.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef ENCODE_H
# define ENCODE_H 1

/* grow the data buffer in chunks of this size */
# define BUFFER_CHUNK_SIZE 65536
# define FIELDS_CHUNK_SIZE 1024

struct message {
	uint64_t insref;
	int mref;
	int fields;
};

struct field {
	size_t offset;
	uint32_t tag;
	int len;
};

struct mdf_message_s {
	int current_message;
	int messages_max;
	int fields_num;
	int fields_max;
	size_t data_used;
	size_t data_size;
	struct message *messages;
	struct field *fields;
	uint8_t *data;
};

#endif

